# services for Risc

RISC_FTP = [21, nil, /220/]
RISC_SSH = [22, nil, /SSH/]
RISC_TELNET = [23, nil, /login:/]
RISC_SMTP = [25, nil, /220 .* E?SMTP/]
RISC_HTTP = [80, "GET / HTTP/1.0\n\n", %r!HTTP/\d\.\d \d{3} !]
RISC_LDAP = [389, nil, nil]
RISC_HTTPS = [443, nil, nil]
RISC_SMTPS = [465, nil, nil]
RISC_RSYNC = [873, nil, /RSYNCD/]
RISC_IMAPS = [993, nil, nil]
RISC_POP3S = [995, nil, nil]
RISC_ORACLE = [1521, nil, nil]
RISC_CVSPSERVER = [2401, nil, nil]
RISC_MYSQL = [3306, nil, /\d+\.\d+\.\d+/]
RISC_POSTGRES = [5432, nil, nil]
RISC_IRC = [6667, nil, nil]
RISC_HTTPPROXY = [8080, "GET / HTTP/1.0\n\n", %r!HTTP/\d\.\d \d{3} !]
